<?php

/**
 * @version 1.0.2 stable
 * @package Bootstrap Menu
 * @copyright Copyright (C) 2012 ReneKreijveld.nl, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://www.renekreijveld.nl
 * @author email email@renekreijveld.nl
 * @developer René Kreijveld
 *
 * Bootstrap Menu is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version. See <http://www.gnu.org/licenses/>.
 *
 * Bootstrap Menu is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 */

// No direct access.
defined('_JEXEC') or die;

// Note. It is important to remove spaces between elements.
$class = $item->anchor_css ? 'class="'.$item->anchor_css.'" ' : '';
$title = $item->anchor_title ? 'title="'.$item->anchor_title.'" ' : '';
if ($item->menu_image) {
		$item->params->get('menu_text', 1 ) ?
		$linktype = '<img src="'.$item->menu_image.'" alt="'.$item->title.'" /><span class="image-title">'.$item->title.'</span> ' :
		$linktype = '<img src="'.$item->menu_image.'" alt="'.$item->title.'" />';
}
elseif (($item->deeper) && ($dropdown == 1)) { 
	if ($maincarets == 1) {
		$linktype = $item->title. '<b class="caret"></b>' ;
	} else {
		$linktype = $item->title;
	}
	if ($item->level < 2) {
		$class = 'class="'.$item->anchor_css.'" ';
	} else {
		if ($subcarets == 1) {
			$linktype = $item->title. '&nbsp;<b class="caret-right"></b>';
		} else {
			$linktype = $item->title;
		}
	}
}
elseif (($item->deeper) && (!$nav_stacked) && (!$nav_list) && ($nav_flyout)) {
	$linktype = $item->title. '<b class="caret"></b>' ;
}
else { 
	$linktype = $item->title;
}
if ($params->get('bsShowIcons') == 1) {
	if ($item->note) {
		$icon = '<i class="'.$item->note;
		if ($params->get('bsIconColor') == 1) {
		$icon .= ' icon-white';
		}
		$icon .= '"></i> ';
		$linktype = $icon . $linktype;
	}
}

switch ($item->browserNav) :
	default:
	case 0:
?><a <?php echo $class; ?>href="<?php echo $item->flink; ?>" <?php echo $title; ?>><?php echo $linktype; ?></a><?php
		break;
	case 1:
		// _blank
?><a <?php echo $class; ?>href="<?php echo $item->flink; ?>" target="_blank" <?php echo $title; ?>><?php echo $linktype; ?></a><?php
		break;
	case 2:
		// window.open
		$options = 'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,'.$params->get('window_open');
			?><a <?php echo $class; ?>href="<?php echo $item->flink; ?>" onclick="window.open(this.href,'targetWindow','<?php echo $options;?>');return false;" <?php echo $title; ?>><?php echo $linktype; ?></a><?php
		break;
endswitch;
